Skip to main content

Add a participant to a WhatsApp group

Agent Skill

Automate this endpoint with an AI agent using the 2chat-whatsapp-groups skill:

npx skills add 2ChatCo/agent-skills -s 2chat-whatsapp-groups

With this endpoint, you will be able to add a phone number as a participant in an existing WhatsApp group.

tip

To prevent bans or suspensions of your WhatsApp account, we recommend that you first create the contact you are adding as a participant using the Create Contact endpoint.

Parameters​

You will need to obtain the UUID of the WhatsApp group to which you want to add the new participant. For this example, we will use WAG45b0f301-9203-4660-8b57-b51a6c2742a5 as the UUID.

These parameters should be sent as a JSON payload in the request body.

FieldDescriptionExample values
from_numberYour WhatsApp number that you connected to 2Chat+12123334444
participantsA list of phone numbers you want to add to the group[ "+447700176576", "+17137157533"]
info

You can add up to 10 participants per invocation. If you want to add more than 10 people, you can call this endpoint multiple times.

Invocation​

The group UUID is part of the path in the URL. For this example, we'll use WAG45b0f301-9203-4660-8b57-b51a6c2742a5 as the UUID.

tip

You can obtain the UUID of the group you want to target using the List Groups endpoint

curl -X POST --location 'https://api.p.2chat.io/open/whatsapp/group/WAG45b0f301-9203-4660-8b57-b51a6c2742a5/add-participant' \
--header 'Content-Type: application/json' \
--header 'X-User-API-Key: your_api_key_here' \
--data '{
"from_number": "+12123334444",
"participants": [
"+447700176576",
"+17137157533"
]
}'

Response​

info

After the participants are added, it can take a few minutes for 2Chat to be able to see the changes made.

caution

Seeing unaccepted_numbers in the reply means that the numbers listed couldn't be processed, either because they are invalid or because they don't have a WhatsApp account.

{
"success": true,
"participants": {
"+447700176576": {
"statusCode": 200,
"message": "The participant was added successfully",
"isInviteV4Sent": false
},
"+17137157533": {
"statusCode": 200,
"message": "The participant was added successfully",
"isInviteV4Sent": false
}
}
}